curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sub": "d891bba7-4a62-4a04-aeac-6953777038a3",
"name": "John",
"preferred_username": "user@example.com",
"given_name": "John",
"family_name": "Doe",
"middle_name": "Joe",
"nickname": "johndoe",
"profile": "profile",
"picture": "https://pictures.example.com/pic=uuid",
"website": "hrrps://myblog.example.com",
"gender": "male",
"zoneinfo": "zoneinfo",
"locale": "en_US",
"updated_at": 1508849760527,
"birthdate": "2023-12-25",
"email": "contact.emal@example.com",
"email_verified": true,
"phone_number": "818-519-2395",
"phone_number_verified": true
}{
"error": "invalid_client",
"error_description": "Invalid client [XXX]"
}User Info Request
Retrieves the OIDC UserInfo object for the User whose OAuth2 Access Token is being presented. This endpoint is only accessible with an OAuth 2.0 Access Token. Ordinary Connect authentication methods are not supported.
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo \
--header 'Authorization: Bearer <token>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/userinfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sub": "d891bba7-4a62-4a04-aeac-6953777038a3",
"name": "John",
"preferred_username": "user@example.com",
"given_name": "John",
"family_name": "Doe",
"middle_name": "Joe",
"nickname": "johndoe",
"profile": "profile",
"picture": "https://pictures.example.com/pic=uuid",
"website": "hrrps://myblog.example.com",
"gender": "male",
"zoneinfo": "zoneinfo",
"locale": "en_US",
"updated_at": 1508849760527,
"birthdate": "2023-12-25",
"email": "contact.emal@example.com",
"email_verified": true,
"phone_number": "818-519-2395",
"phone_number_verified": true
}{
"error": "invalid_client",
"error_description": "Invalid client [XXX]"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
OAuth 2.0 Access Token or Refresh Token
Response
OK
UserInfo Response
The Sub Id
"d891bba7-4a62-4a04-aeac-6953777038a3"
The user's display name.
"John"
User's preferred username
"user@example.com"
User's first name
"John"
User's last name.
"Doe"
User's middle name
"Joe"
User's nickname
"johndoe"
Profile
"profile"
The URI of the user's picture
"https://pictures.example.com/pic=uuid"
User's website
"hrrps://myblog.example.com"
Gender
"male"
Zoneinfo
"zoneinfo"
User's locale
"en_US"
Last update
1508849760527
User's birthday
User's contact email.
"contact.emal@example.com"
User has vrified their email address
true
User's phone number
"818-519-2395"
User has vrified their phone number
true

